﻿Imports System.Collections.ObjectModel

Imports ThinkGeo.MapSuite.Core
Public Class _Default
    Inherits System.Web.UI.Page

    Private Layer As ShapeFileFeatureLayer
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Layer = New ShapeFileFeatureLayer(Server.MapPath("~/App_Data/PP_PEDREGAL.shp"))
        Layer.RequireIndex = False
        If Not IsPostBack Then
            createtable()
        End If

    End Sub

    Private Sub createtable()

        'Layer.Open()

        'For Each c As FeatureSourceColumn In Layer.FeatureSource.GetColumns()
        '    Dim field As New BoundField()
        '    field.DataField = c.ColumnName
        '    gridview1.Columns.Add(field)
        'Next

        'Layer.Close()
    End Sub

    Private Sub btnViewData_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnViewData.Click
        Layer.Open()
        Dim datatable As New DataTable
        Dim features As Collection(Of Feature) = Layer.QueryTools.GetAllFeatures(ReturningColumnsType.AllColumns)
        For Each c As FeatureSourceColumn In Layer.FeatureSource.GetColumns()
            Dim dc As DataColumn = New DataColumn(c.ColumnName)
            datatable.Columns.Add(dc)
        Next

        For Each f As Feature In features
            Dim r As DataRow = datatable.NewRow
            For Each c In f.ColumnValues.Keys
                r(c) = f.ColumnValues.Item(c)
            Next
            datatable.Rows.Add(r)
        Next

        gridview1.DataSource = datatable
        gridview1.DataBind()

        Layer.Close()
    End Sub

    Private Sub btnViewDate_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnViewDate.Click
        Layer.Open()

        Dim features As Collection(Of Feature) = Layer.QueryTools.GetAllFeatures(ReturningColumnsType.AllColumns)
        If (features.Count > 0) Then
            Try
                lblDateValue.Text = features.First().ColumnValues.Item("DELIB_ELAB")
                cal.SelectedDate = features.First().ColumnValues.Item("DELIB_ELAB")
            Catch ex As Exception
                divErr.InnerHtml = ex.ToString()
            End Try

        End If
            
        Layer.Close()
    End Sub
End Class